Page MenuHomePhabricator

Remove deprecated pear/mail_mime-decode
Closed, ResolvedPublic

Description

From https://packagist.org/packages/pear/mail_mime-decode

The maintainer wrote:

This library is quite old and was being used by our software. We are no longer using it, and thus, no longer maintaining this repository. It will be removed later this year (Q4 2015). Please find an alternate source or fork your own copy. Thanks!

Event Timeline

Reedy created this task.Aug 14 2015, 6:52 PM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 6:52 PM
This comment was removed by 01tonythomas.

Removed my comment.
I thought they were dropping support for pear/php-mailer

Reedy added a comment.Aug 14 2015, 7:07 PM

Removed my comment.
I thought they were dropping support for pear/php-mailer

mail sucks in mediawiki anyway :D

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 23 2016, 9:57 AM

Do we still use mail_mime-decode ?

I search for Mail_mime-decode, https://github.com/wikimedia/mediawiki/search?utf8=%E2%9C%93&q=Mail_mimeDecode&type=Code and hit nothing ?

I also did not find anywhere that we are using this, and the issue description says it will be removed Q4 2015. Per https://phabricator.wikimedia.org/T173849, it has PHP 7 compatibility issues. Is there any reason we should not go ahead and remove it?

Reedy added a comment.EditedOct 10 2018, 5:38 PM

I also did not find anywhere that we are using this, and the issue description says it will be removed Q4 2015. Per https://phabricator.wikimedia.org/T173849, it has PHP 7 compatibility issues. Is there any reason we should not go ahead and remove it?

FYI, it's better to use T173849 rather than https://phabricator.wikimedia.org/T173849 when using Phabricator. That way it keeps track of which tickets reference each other

As far as I can see, the code is basically orphaned and unused in MW core. Mail_mime and Mail_mimePart seem to be duplicated against pear/mail...

Patches incoming!

Change 465669 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/465669

Change 465670 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/465670

Reedy renamed this task from Look for replacement for deprecated pear/mail_mime-decode to Remove deprecated pear/mail_mime-decode.Oct 10 2018, 5:42 PM

Change 465670 merged by jenkins-bot:
[mediawiki/core@master] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/465670

Krinkle updated the task description. (Show Details)Oct 10 2018, 9:58 PM

Change 465669 merged by jenkins-bot:
[mediawiki/vendor@master] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/465669

Reedy closed this task as Resolved.Oct 11 2018, 8:36 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.

Change 466771 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_27] Remove deprecated pear/mail_mime-decode from composer suggestions

https://gerrit.wikimedia.org/r/466771

Change 466772 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_30] Remove deprecated pear/mail_mime-decode from composer suggestions

https://gerrit.wikimedia.org/r/466772

Change 466775 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_31] Remove deprecated pear/mail_mime-decode from composer dependancies

https://gerrit.wikimedia.org/r/466775

Change 466776 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466776

Change 466776 abandoned by Reedy:
Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466776

Change 466779 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@REL1_31] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466779

Change 466780 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@REL1_30] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466780

Reedy reopened this task as Open.Oct 11 2018, 9:01 PM

Worth clearing it up in supported branches too, so hence the patches above

Change 466797 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@REL1_27] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466797

Change 466780 merged by jenkins-bot:
[mediawiki/vendor@REL1_30] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466780

Change 466772 merged by jenkins-bot:
[mediawiki/core@REL1_30] Remove deprecated pear/mail_mime-decode from composer suggestions

https://gerrit.wikimedia.org/r/466772

Change 466797 merged by jenkins-bot:
[mediawiki/vendor@REL1_27] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466797

Change 466779 merged by jenkins-bot:
[mediawiki/vendor@REL1_31] Remove pear/mail_mime-decode

https://gerrit.wikimedia.org/r/466779

Change 466771 merged by jenkins-bot:
[mediawiki/core@REL1_27] Remove deprecated pear/mail_mime-decode from composer suggestions

https://gerrit.wikimedia.org/r/466771

Change 466775 merged by jenkins-bot:
[mediawiki/core@REL1_31] Remove deprecated pear/mail_mime-decode from composer dependancies

https://gerrit.wikimedia.org/r/466775

Reedy closed this task as Resolved.Oct 12 2018, 11:57 AM
Reedy removed a project: Patch-For-Review.